### Hierarchy

- AssetManifest

## Index

### Constructors

- constructor

### Methods

- addBitmapData
- addBytes
- addFont
- addSound
- addText

## Constructors

### constructor

- new AssetManifest(): AssetManifest

- - Defined in lib/openfl/utils/AssetManifest.d.ts:4

  #### Returns AssetManifest

## Methods

### addBitmapData

- addBitmapData(path: string, id?: string): void

- - Defined in lib/openfl/utils/AssetManifest.d.ts:9

  #### Parameters

  - ##### path: string

  - ##### Optional id: string

  #### Returns void

### addBytes

- addBytes(path: string, id?: string): void

- - Defined in lib/openfl/utils/AssetManifest.d.ts:10

  #### Parameters

  - ##### path: string

  - ##### Optional id: string

  #### Returns void

### addFont

- addFont(name: string, id?: string): void

- - Defined in lib/openfl/utils/AssetManifest.d.ts:11

  #### Parameters

  - ##### name: string

  - ##### Optional id: string

  #### Returns void

### addSound

- addSound(paths: Array<string>, id?: string): void

- - Defined in lib/openfl/utils/AssetManifest.d.ts:12

  #### Parameters

  - ##### paths: Array<string>

  - ##### Optional id: string

  #### Returns void

### addText

- addText(path: string, id?: string): void

- - Defined in lib/openfl/utils/AssetManifest.d.ts:13

  #### Parameters

  - ##### path: string

  - ##### Optional id: string

  #### Returns void

Generated using TypeDoc